summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorGuillaume Delacourt2015-06-11 22:05:27 +0200
committerGuillaume Delacourt2015-06-11 22:05:27 +0200
commita269f96d0dbd7b5fe296f17e8905e8dfb8f37b78 (patch)
tree17946d2ddeb0e9d78c3201d9dd878c1daed2fe54
downloadaur-a269f96d0dbd7b5fe296f17e8905e8dfb8f37b78.tar.gz
Initial import
-rw-r--r--.SRCINFO13
-rw-r--r--PKGBUILD23
2 files changed, 36 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..f11f7526511
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,13 @@
+pkgbase = libdsk
+ pkgdesc = A library for accessing floppy drive and disc images files
+ pkgver = 1.3.5
+ pkgrel = 1
+ url = http://www.seasip.demon.co.uk/Unix/LibDsk/
+ arch = i686
+ arch = x86_64
+ license = LGPL
+ source = http://www.seasip.info/Unix/LibDsk/libdsk-1.3.5.tar.gz
+ md5sums = d768c1694c2ed8d58a47b253bb920c1f
+
+pkgname = libdsk
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..b3aaacac211
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,23 @@
+# Contributor: Feufochmar <feufochmar@d-20.fr>
+pkgname=libdsk
+pkgver=1.3.5
+pkgrel=1
+pkgdesc="A library for accessing floppy drive and disc images files"
+arch=('i686' 'x86_64')
+url="http://www.seasip.demon.co.uk/Unix/LibDsk/"
+license=('LGPL')
+depends=()
+source=(http://www.seasip.info/Unix/LibDsk/$pkgname-$pkgver.tar.gz)
+md5sums=('d768c1694c2ed8d58a47b253bb920c1f')
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr
+ make || return 1
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+ make DESTDIR="$pkgdir" install
+}